## net.sf.saxon.value
Class GMonthDayValue

    java.lang.Object
      net.sf.saxon.value.Value
          net.sf.saxon.value.AtomicValue
              net.sf.saxon.value.CalendarValue
                  net.sf.saxon.value.DateValue
                      net.sf.saxon.value.GMonthDayValue

All Implemented Interfaces:
  java.lang.Comparable, Expression, Item, java.io.Serializable, ValueRepresentation

public class GMonthDayValue
extends DateValue

Implementation of the xs:gYear data type

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.value.DateValue
`day, month, year`

Fields inherited from class net.sf.saxon.value.CalendarValue
`NO_TIMEZONE`

Fields inherited from class net.sf.saxon.value.Value
`EMPTY_CLASS_ARRAY`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`GMonthDayValue()`
`GMonthDayValue(byte month, byte day, int tz)`
`GMonthDayValue(java.lang.CharSequence value)`

Method Summary
`AtomicValue` `convertPrimitive(BuiltInAtomicType requiredType, boolean validate, XPathContext context)` Convert to target data type
`CalendarValue` `copy()` Make a copy of this date, time, or dateTime value
`ItemType` `getItemType(TypeHierarchy th)` Determine the data type of the expression
`java.lang.CharSequence` `getStringValueCS()` Convert to string

Methods inherited from class net.sf.saxon.value.DateValue
`add, adjustTimezone, compareTo, compareTo, convertToJava, dateFromJulianDayNumber, equals, getCalendar, getComponent, getDay, getDayOfWeek, getDayWithinYear, getJulianDayNumber, getMonth, getWeekNumber, getWeekNumberWithinMonth, getYear, hashCode, isLeapYear, isValidDate, main, setLexicalValue, subtract, toDateTime, tomorrow, yesterday`

Methods inherited from class net.sf.saxon.value.CalendarValue
`appendTimezone, appendTimezone, getStringValue, getTimezoneInMinutes, hasTimezone, removeTimezone, setTimezoneInMinutes`

Methods inherited from class net.sf.saxon.value.AtomicValue
`checkPermittedContents, convert, convert, display, effectiveBooleanValue, evaluateAsString, evaluateItem, getCardinality, getImplementationMethod, getLength, getPrimitiveValue, getTypedValue, hasBuiltInType, iterate, process, schemaEquals, toString`

Methods inherited from class net.sf.saxon.value.Value
`asItem, asIterator, asValue, collapseWhitespace, convert, convertJavaObjectToXPath, getDependencies, getIterator, getParentExpression, getSpecialProperties, itemAt, iterateSubExpressions, makeQNameValue, normalizeWhitespace, optimize, promote, reduce, simplify, stringToNumber, trimWhitespace, typeCheck`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GMonthDayValue

    public GMonthDayValue()

### GMonthDayValue

    public GMonthDayValue(java.lang.CharSequence value)
                   throws XPathException

### GMonthDayValue

    public GMonthDayValue(byte month,
                          byte day,
                          int tz)

Method Detail

### getItemType

    public ItemType getItemType(TypeHierarchy th)

  Determine the data type of the expression

  Specified by:
    `getItemType` in interface `Expression`
  Overrides:
    `getItemType` in class `DateValue`
  Parameters:
    `th` -
  Returns:
    Type.G_MONTH_DAY_TYPE,

### copy

    public CalendarValue copy()

  Make a copy of this date, time, or dateTime value

  Overrides:
    `copy` in class `DateValue`

### convertPrimitive

    public AtomicValue convertPrimitive(BuiltInAtomicType requiredType,
                                        boolean validate,
                                        XPathContext context)

  Convert to target data type

  Overrides:
    `convertPrimitive` in class `DateValue`
  Parameters:
    `requiredType` - an integer identifying the required atomic type
    `context` -
  Returns:
    an AtomicValue, a value of the required type; or an ErrorValue

### getStringValueCS

    public java.lang.CharSequence getStringValueCS()

  Description copied from class: `DateValue`
  Convert to string

  Specified by:
    `getStringValueCS` in interface `Item`
  Overrides:
    `getStringValueCS` in class `DateValue`
  Returns:
    ISO 8601 representation.